2

I run pip install ethereum to install the package named ethereum for python.

Yet I got following error:

Requirement already satisfied: ethereum in c:\users\wenbo\anaconda3\lib\site-packages\ethereum-2.3.1-py3.6.egg
Requirement already satisfied: pysha3>=1.0.1 in c:\users\wenbo\anaconda3\lib\site-packages (from ethereum)
Requirement already satisfied: PyYAML in c:\users\wenbo\anaconda3\lib\site-packages (from ethereum)
Requirement already satisfied: repoze.lru in c:\users\wenbo\anaconda3\lib\site-packages (from ethereum)
Requirement already satisfied: scrypt in c:\users\wenbo\anaconda3\lib\site-packages (from ethereum)
Requirement already satisfied: pbkdf2 in c:\users\wenbo\anaconda3\lib\site-packages (from ethereum)
Requirement already satisfied: py_ecc in c:\users\wenbo\anaconda3\lib\site-packages (from ethereum)
Requirement already satisfied: rlp>=0.4.7 in c:\users\wenbo\anaconda3\lib\site-packages (from ethereum)
Collecting pyethash (from ethereum)
  Using cached https://files.pythonhosted.org/packages/6c/40/5bb02ad7e2fae9b04cd0c391dda81213bc786c30c8381b018600cfc7ce62/pyethash-0.1.27.tar.gz
Requirement already satisfied: pycryptodome>=3.4.7 in c:\users\wenbo\anaconda3\lib\site-packages (from ethereum)
Requirement already satisfied: coincurve>=7.0.0 in c:\users\wenbo\anaconda3\lib\site-packages (from ethereum)
Requirement already satisfied: future in c:\users\wenbo\appdata\roaming\python\python36\site-packages (from ethereum)
Requirement already satisfied: eth-utils<2,>=1.0.2 in c:\users\wenbo\anaconda3\lib\site-packages (from rlp>=0.4.7->ethereum)
Requirement already satisfied: asn1crypto in c:\users\wenbo\anaconda3\lib\site-packages (from coincurve>=7.0.0->ethereum)
Requirement already satisfied: cffi>=1.3.0 in c:\users\wenbo\anaconda3\lib\site-packages (from coincurve>=7.0.0->ethereum)
Requirement already satisfied: eth-hash<1.0.0,>=0.1.0 in c:\users\wenbo\anaconda3\lib\site-packages (from eth-utils<2,>=1.0.2->rlp>=0.4.7->ethereum)
Requirement already satisfied: cytoolz<1.0.0,>=0.8.2 in c:\users\wenbo\anaconda3\lib\site-packages (from eth-utils<2,>=1.0.2->rlp>=0.4.7->ethereum)
Requirement already satisfied: pycparser in c:\users\wenbo\anaconda3\lib\site-packages (from cffi>=1.3.0->coincurve>=7.0.0->ethereum)
Requirement already satisfied: toolz>=0.8.0 in c:\users\wenbo\anaconda3\lib\site-packages (from cytoolz<1.0.0,>=0.8.2->eth-utils<2,>=1.0.2->rlp>=0.4.7->ethereum)
Building wheels for collected packages: pyethash
  Running setup.py bdist_wheel for pyethash ... error
  Failed building wheel for pyethash
  Running setup.py clean for pyethash
Failed to build pyethash
Installing collected packages: pyethash
  Running setup.py install for pyethash ... error
Exception:
Traceback (most recent call last):
  File "c:\users\wenbo\anaconda3\lib\site-packages\pip-9.0.1-py3.6.egg\pip\compat\__init__.py", line 73, in console_to_str
    return s.decode(sys.__stdout__.encoding)
UnicodeDecodeError: 'utf-8' codec can't decode byte 0xc3 in position 4: invalid continuation byte

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "c:\users\wenbo\anaconda3\lib\site-packages\pip-9.0.1-py3.6.egg\pip\commands\install.py", line 342, in run
    prefix=options.prefix_path,
  File "c:\users\wenbo\anaconda3\lib\site-packages\pip-9.0.1-py3.6.egg\pip\req\req_set.py", line 784, in install
    **kwargs
  File "c:\users\wenbo\anaconda3\lib\site-packages\pip-9.0.1-py3.6.egg\pip\req\req_install.py", line 878, in install
    spinner=spinner,
  File "c:\users\wenbo\anaconda3\lib\site-packages\pip-9.0.1-py3.6.egg\pip\utils\__init__.py", line 676, in call_subprocess
    line = console_to_str(proc.stdout.readline())
  File "c:\users\wenbo\anaconda3\lib\site-packages\pip-9.0.1-py3.6.egg\pip\compat\__init__.py", line 75, in console_to_str
    return s.decode('utf_8')
UnicodeDecodeError: 'utf-8' codec can't decode byte 0xc3 in position 4: invalid continuation byte

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "c:\users\wenbo\anaconda3\lib\site-packages\pip-9.0.1-py3.6.egg\pip\commands\install.py", line 385, in run
    requirement_set.cleanup_files()
  File "c:\users\wenbo\anaconda3\lib\site-packages\pip-9.0.1-py3.6.egg\pip\req\req_set.py", line 729, in cleanup_files
    req.remove_temporary_source()
  File "c:\users\wenbo\anaconda3\lib\site-packages\pip-9.0.1-py3.6.egg\pip\req\req_install.py", line 977, in remove_temporary_source
    rmtree(self.source_dir)
  File "c:\users\wenbo\anaconda3\lib\site-packages\pip-9.0.1-py3.6.egg\pip\_vendor\retrying.py", line 49, in wrapped_f
    return Retrying(*dargs, **dkw).call(f, *args, **kw)
  File "c:\users\wenbo\anaconda3\lib\site-packages\pip-9.0.1-py3.6.egg\pip\_vendor\retrying.py", line 212, in call
    raise attempt.get()
  File "c:\users\wenbo\anaconda3\lib\site-packages\pip-9.0.1-py3.6.egg\pip\_vendor\retrying.py", line 247, in get
    six.reraise(self.value[0], self.value[1], self.value[2])
  File "c:\users\wenbo\anaconda3\lib\site-packages\pip-9.0.1-py3.6.egg\pip\_vendor\six.py", line 686, in reraise
    raise value
  File "c:\users\wenbo\anaconda3\lib\site-packages\pip-9.0.1-py3.6.egg\pip\_vendor\retrying.py", line 200, in call
    attempt = Attempt(fn(*args, **kwargs), attempt_number, False)
  File "c:\users\wenbo\anaconda3\lib\site-packages\pip-9.0.1-py3.6.egg\pip\utils\__init__.py", line 102, in rmtree
    onerror=rmtree_errorhandler)
  File "C:\Users\wenbo\Anaconda3\lib\shutil.py", line 494, in rmtree
    return _rmtree_unsafe(path, onerror)
  File "C:\Users\wenbo\Anaconda3\lib\shutil.py", line 384, in _rmtree_unsafe
    _rmtree_unsafe(fullname, onerror)
  File "C:\Users\wenbo\Anaconda3\lib\shutil.py", line 384, in _rmtree_unsafe
    _rmtree_unsafe(fullname, onerror)
  File "C:\Users\wenbo\Anaconda3\lib\shutil.py", line 389, in _rmtree_unsafe
    onerror(os.unlink, fullname, sys.exc_info())
  File "c:\users\wenbo\anaconda3\lib\site-packages\pip-9.0.1-py3.6.egg\pip\utils\__init__.py", line 114, in rmtree_errorhandler
    func(path)
PermissionError: [WinError 32] 另一个程序正在使用此文件,进程无法访问。: 'C:\\Users\\wenbo\\AppData\\Local\\Temp\\pip-build-4a52w0mh\\pyethash\\src\\python\\core.c'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "c:\users\wenbo\anaconda3\lib\site-packages\pip-9.0.1-py3.6.egg\pip\basecommand.py", line 215, in main
    status = self.run(options, args)
  File "c:\users\wenbo\anaconda3\lib\site-packages\pip-9.0.1-py3.6.egg\pip\commands\install.py", line 385, in run
    requirement_set.cleanup_files()
  File "c:\users\wenbo\anaconda3\lib\site-packages\pip-9.0.1-py3.6.egg\pip\utils\build.py", line 38, in __exit__
    self.cleanup()
  File "c:\users\wenbo\anaconda3\lib\site-packages\pip-9.0.1-py3.6.egg\pip\utils\build.py", line 42, in cleanup
    rmtree(self.name)
  File "c:\users\wenbo\anaconda3\lib\site-packages\pip-9.0.1-py3.6.egg\pip\_vendor\retrying.py", line 49, in wrapped_f
    return Retrying(*dargs, **dkw).call(f, *args, **kw)
  File "c:\users\wenbo\anaconda3\lib\site-packages\pip-9.0.1-py3.6.egg\pip\_vendor\retrying.py", line 212, in call
    raise attempt.get()
  File "c:\users\wenbo\anaconda3\lib\site-packages\pip-9.0.1-py3.6.egg\pip\_vendor\retrying.py", line 247, in get
    six.reraise(self.value[0], self.value[1], self.value[2])
  File "c:\users\wenbo\anaconda3\lib\site-packages\pip-9.0.1-py3.6.egg\pip\_vendor\six.py", line 686, in reraise
    raise value
  File "c:\users\wenbo\anaconda3\lib\site-packages\pip-9.0.1-py3.6.egg\pip\_vendor\retrying.py", line 200, in call
    attempt = Attempt(fn(*args, **kwargs), attempt_number, False)
  File "c:\users\wenbo\anaconda3\lib\site-packages\pip-9.0.1-py3.6.egg\pip\utils\__init__.py", line 102, in rmtree
    onerror=rmtree_errorhandler)
  File "C:\Users\wenbo\Anaconda3\lib\shutil.py", line 494, in rmtree
    return _rmtree_unsafe(path, onerror)
  File "C:\Users\wenbo\Anaconda3\lib\shutil.py", line 384, in _rmtree_unsafe
    _rmtree_unsafe(fullname, onerror)
  File "C:\Users\wenbo\Anaconda3\lib\shutil.py", line 384, in _rmtree_unsafe
    _rmtree_unsafe(fullname, onerror)
  File "C:\Users\wenbo\Anaconda3\lib\shutil.py", line 384, in _rmtree_unsafe
    _rmtree_unsafe(fullname, onerror)
  File "C:\Users\wenbo\Anaconda3\lib\shutil.py", line 389, in _rmtree_unsafe
    onerror(os.unlink, fullname, sys.exc_info())
  File "c:\users\wenbo\anaconda3\lib\site-packages\pip-9.0.1-py3.6.egg\pip\utils\__init__.py", line 114, in rmtree_errorhandler
    func(path)
PermissionError: [WinError 32] 另一个程序正在使用此文件,进程无法访问。: 'C:\\Users\\wenbo\\AppData\\Local\\Temp\\pip-build-4a52w0mh\\pyethash\\src\\python\\core.c'
You are using pip version 9.0.1, however version 10.0.1 is available.
You should consider upgrading via the 'python -m pip install --upgrade pip' command.

Anyone know how to fix this?Thanks!

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.